Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUGFacetReader Class Reference

`#include <vtkUGFacetReader.h>`

Inheritance diagram for vtkUGFacetReader:

[legend]
Collaboration diagram for vtkUGFacetReader:

[legend]
List of all members.

## Detailed Description

read EDS Unigraphics facet files

Date:
  2002/09/01 13:03:05

Revision:
  1.39

vtkUGFacetReader is a source object that reads Unigraphics facet files. Unigraphics is a solid modeling system; facet files are the polygonal plot files it uses to create 3D plots.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (62%)
  - Law, Charles (9%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkUGFacetReader.h)`
  - .`cxx` (`/IO/vtkUGFacetReader.cxx)`

Tests:
  vtkUGFacetReader (Tests)

Definition at line 50 of file vtkUGFacetReader.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
int | GetNumberOfParts ()
short | GetPartColorIndex (int partId)
void | CreateDefaultLocator ()
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
virtual void | SetPartNumber (int)
virtual int | GetPartNumber ()
virtual void | SetMerging (int)
virtual int | GetMerging ()
virtual void | MergingOn ()
virtual void | MergingOff ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkUGFacetReader * | SafeDownCast (vtkObject *o)
vtkUGFacetReader * | New ()
## Protected Methods
| vtkUGFacetReader ()
| ~vtkUGFacetReader ()
void | Execute ()
## Protected Attributes
char * | FileName
vtkShortArray * | PartColors
int | PartNumber
int | Merging
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkPolyDataSource vtkUGFacetReader::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 53 of file vtkUGFacetReader.h.

## Constructor & Destructor Documentation

vtkUGFacetReader::vtkUGFacetReader | ( |  | ) | `[protected]`

vtkUGFacetReader::~vtkUGFacetReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkUGFacetReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkUGFacetReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkUGFacetReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkUGFacetReader* vtkUGFacetReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkUGFacetReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkUGFacetReader* vtkUGFacetReader::New | ( |  | ) | `[static]`

| Construct object to extract all parts, and with point merging turned on. Reimplemented from vtkObject.

unsigned long vtkUGFacetReader::GetMTime | ( |  | ) | `[virtual]`

| Overload standard modified time function. If locator is modified, then this object is modified as well. Reimplemented from vtkObject.

virtual void vtkUGFacetReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify Unigraphics file name.

virtual char* vtkUGFacetReader::GetFileName | ( |  | ) | `[virtual]`

| Specify Unigraphics file name.

int vtkUGFacetReader::GetNumberOfParts | ( |  | ) |

| Special methods for interrogating the data file.

short vtkUGFacetReader::GetPartColorIndex | ( | int | partId | ) |

| Retrieve color index for the parts in the file.

virtual void vtkUGFacetReader::SetPartNumber | ( | int |  | ) | `[virtual]`

| Specify the desired part to extract. The part number must range between [0,NumberOfParts-1]. If the value is =(-1), then all parts will be extracted. If the value is <(-1), then no parts will be extracted but the part colors will be updated.

virtual int vtkUGFacetReader::GetPartNumber | ( |  | ) | `[virtual]`

| Specify the desired part to extract. The part number must range between [0,NumberOfParts-1]. If the value is =(-1), then all parts will be extracted. If the value is <(-1), then no parts will be extracted but the part colors will be updated.

virtual void vtkUGFacetReader::SetMerging | ( | int |  | ) | `[virtual]`

| Turn on/off merging of points/triangles.

virtual int vtkUGFacetReader::GetMerging | ( |  | ) | `[virtual]`

| Turn on/off merging of points/triangles.

virtual void vtkUGFacetReader::MergingOn | ( |  | ) | `[virtual]`

| Turn on/off merging of points/triangles.

virtual void vtkUGFacetReader::MergingOff | ( |  | ) | `[virtual]`

| Turn on/off merging of points/triangles.

void vtkUGFacetReader::SetLocator | ( | vtkPointLocator * | locator | ) |

| Specify a spatial locator for merging points. By default an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkUGFacetReader::GetLocator | ( |  | ) | `[virtual]`

| Specify a spatial locator for merging points. By default an instance of vtkMergePoints is used.

void vtkUGFacetReader::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified.

void vtkUGFacetReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

char* vtkUGFacetReader::FileName`[protected]`

| Definition at line 108 of file vtkUGFacetReader.h.

vtkShortArray* vtkUGFacetReader::PartColors`[protected]`

| Definition at line 109 of file vtkUGFacetReader.h.

int vtkUGFacetReader::PartNumber`[protected]`

| Definition at line 110 of file vtkUGFacetReader.h.

int vtkUGFacetReader::Merging`[protected]`

| Definition at line 111 of file vtkUGFacetReader.h.

vtkPointLocator* vtkUGFacetReader::Locator`[protected]`

| Definition at line 112 of file vtkUGFacetReader.h.

The documentation for this class was generated from the following file:

- IO/vtkUGFacetReader.h